glab(1)

NAME
glab-ssh-key-get - Returns a single SSH key specified by the ID.

SYNOPSIS
glab ssh-key get [] [flags]

DESCRIPTION
Pass the key ID as an argument, or run the command without arguments to select a key interactively. Find key IDs by running glab ssh-key list --show-id.

By default, the command prints the public key. Use --output json to return the full key object.

OPTIONS
--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

-p, --page=1
    Page number.

-P, --per-page=20
    Number of items to list per page.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Get ssh key with ID as argument
    glab ssh-key get 7750633
    # Interactive
    glab ssh-key get
    # Interactive, with pagination
    glab ssh-key get -P 50 -p 2

SEE ALSO
glab-ssh-key(1)